// Code scaffolded by goctl. Safe to edit.
// goctl 1.9.2

package verification_user

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"
	"juwan-backend/app/users/api/internal/logic/verification_user"
	"juwan-backend/app/users/api/internal/svc"
)

// 获取我的所有认证状态
func GetMyVerificationsHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := verification_user.NewGetMyVerificationsLogic(r.Context(), svcCtx)
		resp, err := l.GetMyVerifications()
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
